- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types
MapBase< K, V > Class Template Reference
Maps

## Detailed Description

### template<typename K, typename V>
class lemon::MapBase< K, V >

Base class of maps. It provides the necessary type definitions required by the map concepts.

`#include <lemon/maps.h>`

Inheritance diagram for MapBase< K, V >:
[legend]

## Public Types
typedef K | Key
| The key type of the map.
typedef V | Value
| The value type of the map. (The type of objects associated with the keys).